# A simple python script to use SecSel for site selection
#
# To use this script, SecSel should be installed by pip.
# The parameter file and other data files should be prepared
# and stored in the working directory.
#

# 2020-08-25 by TAKENAKA, Akio

import sys

# import SecSel class from package secsel

from secsel import SecSel  

args = sys.argv  # Get command line parameters

if len(args) < 2:
    print("Usage: python run_secsel.py parameter_file_name\n")
    sys.exit()

parameter_file = args[1]

# Make an Instance of SecSel class
ss = SecSel()  

# Load parameters from the given parameter file.
ss.load_parameter_file(parameter_file) 

# Execute site selection
ss.run()
