# An example to use SecSel changing parameters
#
# To use this script, SecSel should be installed by pip.
# The parameter file and other data files should be prepared
# and stored in the working directory.

# 2020-08-25 by TAKENAKA, Akio

import sys

import secsel

args = sys.argv  # Get command line parameters

if len(args) < 2:
    print("Usage: python run_secsel_multi_settings.py parameter_file_name\n")
    sys.exit()

parameter_file = args[1]

output = 'bar'

# Try site selection with 3 different targets

top_n_list = (2, 4, 6) 

for top_n in top_n_list:

    ss = secsel.SecSel()
    ss.load_parameter_file(parameter_file) 

    # Overwrite settings in the parameter file
    ss.set_parameter('default_top_n', top_n)

    output_file_base = '%s_%02d' % (output, top_n)
    ss.set_parameter('output_file_base', output_file_base)

    ss.run()

